#ifndef _INIT_H
#define _INIT_H

#include <windows.h>	// hlavikov sbor Windows kninice
#include <gl\gl.h>		// hlavikov sbor OpenGL32 kninice
#include <gl\glu.h>		// hlavikov sbor GLu32 kninice
#include <gl\glaux.h>	// hlavikov sbor GLaux kninice 

#define screen_x_font 800			// horizontalne rozlisenie
#define screen_y_font 600			// vertikalne rozlisenie

#define uhol_kamery 57.82240163683314859724f	// uhol vo vodorovnom smere -- zodpoveda 45.0 pre 4/3
												// pocita sa 2*atan(tan(0.5*uhol_kamery_vo_zvislom_smere)*(vyska_obrazovky/sirka_obrazovky)) alebo v radianoch (1.0/PI180)*2*atan(tan(0.5*uhol_kamery_vo_zvislom_smere*PI180)*(4/3))
#define box_sirka 100		// sirka plochy v OpenGL suradnicovom systeme
#define box_dlzka 100		// dlzka -- "" --
#define delenie_x 256		// pocet stvorcov v smere  x
#define delenie_z 256		// --      " "        --   z
#define orezavacia_vzdialenost_ 40
#define posunutie_orezavacich_rovin_k_nam 0.03	// cislo relativne, vo vypoctovh sa nasobi s box_dlzka a box_sirka
#define vyska_postavy 0.8f
#define POCET_TEXTUR 5
extern GLuint	texture[];
extern bool	keys[256];			// pole - prca s klavesnicou
extern int	screen_x;				// horizontalne rozlisenie
extern int	screen_y;				// vertikalne rozlisenie
extern int	screen_bit;				// pocet bitov na 1 pixel

typedef struct {
	float x,y,z;
}XYZ;

#endif