#include "headers.h"
#define piover180	0.0174532925199432957692369076848861f	// pi / 180
extern bool	fullscreen;
float	fps;
Camera	*c;
Camera  *c1;
char	text[20];
Timer   timer0;
Fxz_plochy *plocha;
height_map *map;
float uhol_x,uhol_y,uhol_z;
int		bodov_,objekt=2;	// cislo kresleneho objektu
bool	vyhladene_svetlo=1,svetlo=0,texturovanie=1,ciary=0,viditelnost=1,fog=1,lietanie=0;
void DrawGLScene_stereo(void);

void DrawGLScene(void)				// vlastn kreslenie
{	
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);	//cisti buffer v aktualnom viewporte a to iba color a hlbkovy bit
	c->MoveWorld(fps);					// otocenie sveta
	if(keys['K'])c1->DerivateMatrix();

	if(keys['L']){	svetlo = !svetlo; keys['L']=0; }
	if(svetlo)glEnable(GL_LIGHTING);			// zapne svetlo

	if(keys['P']){	ciary = !ciary;	keys['P']=0; }
		
	if(ciary)glPolygonMode(GL_FRONT_AND_BACK,GL_LINE);
	else	 glPolygonMode(GL_FRONT_AND_BACK,GL_FILL);

	if(keys['T']){	texturovanie = !texturovanie;	keys['T']=0; }		
		
	if(!texturovanie)glDisable(GL_TEXTURE_2D);		// vypne texturovanie
	else glBindTexture(GL_TEXTURE_2D, texture[1]);		// nasavime aktualnu texturu pre texturovanie
	
	if(keys['V']){	vyhladene_svetlo = !vyhladene_svetlo; keys['V']=0; }
	if(keys['C']){	viditelnost = !viditelnost; keys['C']=0; }
	if(keys['G']){	lietanie = !lietanie; keys['G']=0; }
	if(keys['F']){	fog = !fog; keys['F']=0; }
	if(fog && !keys['K'])glEnable(GL_FOG);
	else glDisable(GL_FOG);


	if(keys[VK_ADD]){ if(objekt<10)objekt++; keys[VK_ADD]=0; }
	else if (keys[VK_SUBTRACT]){ keys[VK_SUBTRACT]=0; if(objekt>0)objekt--; }
	if		(keys['1'])objekt=1;
	else if	(keys['2'])objekt=2;
	else if	(keys['3'])objekt=3;
	else if	(keys['4'])objekt=4;
	else if	(keys['5'])objekt=5;
	else if	(keys['6'])objekt=6;
	else if	(keys['7'])objekt=7;
	else if	(keys['8'])objekt=8;
	else if	(keys['9'])objekt=9;
	else if	(keys['0'])objekt=0;
	glColor3f(1.0f,1.0f,1.0f);				// biela farba
//	glLineWidth(2.0f);
	DrawGLScene_stereo();

	glDisable(GL_BLEND);

	glColor3f(1.0f,1.0f,1.0f);				// biela farba
	if(ciary)glPolygonMode(GL_FRONT_AND_BACK,GL_FILL);
	glDisable(GL_LIGHTING);					// vypnutie osvetlenia
	glEnable(GL_TEXTURE_2D);				// povolime texturovanie pre vypisovanie textu - v pripade ze je vypnute
	font0->Begin();

	fps = 1.0f / timer0.GetTime();
	timer0.Reset();
	gcvt( (double)fps, 4, text);			// prevod realneho cisla na text
	font0->Print(0,0,text,0);				// vypisanie textu na 0 stlpec a 0 riadok

	gcvt( (double)plocha->triangles, 8, text);
	font0->Print(20,1,text,0);
	font0->Print(0,1,"Triangles on scene:",0);
	gcvt( (double)plocha->triangles*fps, 8, text);
	font0->Print(22,2,text,0);
	font0->Print(0,2,"Triangles per second:",0);

	switch(objekt)
	{
	case 1:
			font0->Print(6,0,"Kresli_display - use display list",1);
			break;
	case 2:
			font0->Print(6,0,"Kresli_glBegin - direct draw with glBegin..",1);
			break;
	case 3:
			font0->Print(6,0,"Kresli_ArrayElement",1);
			break;
	case 4:
			font0->Print(6,0,"Kresli_glBegin_ - direct draw with glBegin..",1);
			break;
	case 5:
		//	font0->Print(6,0,"Kresli_DrawElements - kreslenie pomocou pola pomocnych indexov",1);
			break;
	}

	if(keys['H'])							// zobrazenie helpu
	{
		font0->Print(15,3,"Program: Height map",0);
		glColor3f(0.9f,0.9f,1.0f);
		font0->Print(8,4,"Programmer: Marek Mizanin - www.mizanin.szm.sk",0);
		glColor3f(1.0f,1.0f,1.0f);
		font0->Print(10,6,"Control keys:",0);
	//	font0->Print(15,7,"L - zapne/vypne osvetlenie",1);
		font0->Print(15,8,"T - on/off texturing",1);
		font0->Print(15,9,"P - change polygon mode - drawing lines",1);
	//	font0->Print(15,10,"C - zapne/vypne riadenie viditelnosti",1);
		font0->Print(15,11,"F - on/off fog",1);
		font0->Print(15,12,"G - on/off flying",1);
		font0->Print(15,13,"K - switch on perpendicularly view to terrain",1);
		font0->Print(15,14,"1,2,3 - change mode of drawing",1);
		font0->Print(15,15,"S - move clip plane fordward so that are on edge of screen",1);
		font0->Print(15,16,"Shift+S - move clip plane fordward so that are in screen",1);
		font0->Print(15,20,"R - reset camera",1);
		font0->Print(15,21,"H - help",1);
		font0->Print(15,22,"mouse, button on mouse - moving",1);
		font0->Print(15,23,"arrow, Page Up,Page Down - moving",1);
		font0->Print(15,24,"Home, End - moving up and down",1);
		font0->Print(15,25,"shift - slow moving",1);
	}
	font0->End();
}

void DrawGLScene_stereo(void)
{
	switch(objekt)
	{
	case 1:
			plocha->Kresli_display();
			break;
	case 2:
			if(c->zmena)
			{
				plocha->Vyp_hranice(c->vp, c->vd);
				plocha->Orezanie_na_vzdialenost(orezavacia_vzdialenost_,c->vp, c->vd);
			}
			plocha->Kresli_glBegin();
			break;
	case 3:
			if(c->zmena)
			{
				plocha->Vyp_hranice(c->vp, c->vd);
				plocha->Orezanie_na_vzdialenost(orezavacia_vzdialenost_,c->vp, c->vd);
			}
			plocha->Kresli_ArrayElement();
			break;
	case 4:
			if(c->zmena)
			{
				plocha->Vyp_hranice(c->vp, c->vd);
				plocha->Orezanie_na_vzdialenost(orezavacia_vzdialenost_,c->vp, c->vd);
			}
			plocha->Kresli_glBegin_();
			break;
	}
}
