#ifndef _FXZ_PLOCHY_H
#define _FXZ_PLOCHY_H

#include "init.h"
#include <math.h>
#include "height_map.h"		// kvoli Fxz
extern height_map *map;

#define	PI		3.1415926535897932384626433832795f
#define PI180	0.0174532925199432957692369076848861f	// pi / 180

typedef struct
{ float x,z;}XZ;
enum hrana_{ina,horna,dolna,lava,prava};

class Fxz_plochy{
public:
	void Orezanie_na_vzdialenost(float r_,XYZ vp, XYZ vd);
	void Vyp_hranice( XYZ vp, XYZ vd);
	GLuint	list;		// cislo display listu
	float	*vertex;
	float	*texcoord;
	int		*hran_l,*hran_r,*pas;		// hranica_lava, hranica_prava, pas
	unsigned int *textura;				// pole cisla textur pre dane stvorce
	int		triangles; 
	void Kresli_ArrayElement(void);
	void Kresli_display(void);
	void Kresli_glBegin(void);
	void Kresli_glBegin_(void);
	void Kresli_(void);
	void Vypln_polia_vrcholov(float x, float dx, float z, float dz);

	Fxz_plochy(void);		// konstruktor
	~Fxz_plochy(void);		// destruktor
};

#endif