#ifndef _HEIGHT_MAP_H
#define _HEIGHT_MAP_H

#include "init.h"
#include <stdio.h>
#include <math.h>

#define	_0		0		// hlavne textury
#define _01		1		// prehod vo vodorovnom smere z 0 do 1
#define __01	2		// prechod vo zvyslom smere z hora z 0 do 1
#define _0001	3		// hranaty prechod z 0 do 1, pricom 1 je dole vpravo
#define _0010	4		// hranaty prechod z 0 do 1, pricom 1 je dole vlavo
#define _1000	5		// hranaty prechod z 0 do 1, pricom 1 je hore vlavo
#define _0100	6		// hranaty prechod z 0 do 1, pricom 1 je hore vpravo
#define _1		7		// hlavne textury
#define _10		8		// prehod vo vodorovnom smere z 1 do 0
#define __10	9		// prechod vo zvyslom smere z hora z 1 do 0
#define _1110	10		// hranaty prechod z 0 do 1, pricom 0 je dole vpravo
#define _1101	11		// hranaty prechod z 0 do 1, pricom 0 je dole vlavo
#define _0111	12		// hranaty prechod z 0 do 1, pricom 0 je hore vlavo
#define _1011	13		// hranaty prechod z 1 do 0, pricom 0 je hore vpravo
/*
float Text_Coord[14][2][2][2]={		// cislo otocenia, pozicia na texture
{0,0},{1,0},{1,1},{0,1},					// _0
{0.0,0.0},{0.5,0.0},{0.5,0.5},{0.0,0.5},	// _01
{0.5,0.5},{1.0,0.5},{1.0,1.0},{0.5,1.0},	// __01
{0.0,0.5},{0.5,0.5},{0.5,1.0},{0.0,1.0},	// _0001
{0.5,0.5},{0.0,0.5},{0.0,1.0},{0.5,1.0},	// _0010
{0.5,1.0},{0.0,1.0},{0.0,0.5},{0.5,0.5},	// _1000
{0.0,1.0},{0.5,1.0},{0.5,0.5},{0.0,0.5},	// _0100

{0,0},{1,0},{1,1},{0,1},					// _1
{0.5,0.0},{0.0,0.0},{0.0,0.5},{0.5,0.5},	// _10   osovo sumerna okolo zvislej osi
{0.5,1.0},{1.0,1.0},{1.0,0.5},{0.5,0.5},	// __10  osovo sumerna podla vodorovnej osi
{0.5,0.0},{1.0,0.0},{1.0,0.5},{0.5,0.5},	// _1110
{1.0,0.0},{0.5,0.0},{0.5,0.5},{1.0,0.5},	// _1101
{1.0,0.5},{0.5,0.5},{0.5,0.0},{1.0,0.0},	// _0111
{0.5,0.5},{1.0,0.5},{1.0,0.0},{0.5,0.0}		// _1011
};*/

class height_map
{
public:
	void Vypocitaj_prechody(void);
	unsigned int Textura(int x, int y);
	float Fxz(float x, float z);
	unsigned char *vyska;
	unsigned char *textura;
	height_map();
	~height_map();
};

#endif